%define anolis_release 1
%global pypi_name lpips
%global pypi_version 0.1.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        LPIPS Similarity metric

License:        None
URL:            https://github.com/richzhang/PerceptualSimilarity
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The Unreasonable Effectiveness of Deep Features as a Perceptual Metric.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy) >= 1.14.3
Requires:       python3dist(scipy) >= 1.0.1
Requires:       python3dist(torch) >= 0.4
Requires:       python3dist(torchvision) >= 0.2.1
Requires:       python3dist(tqdm) >= 4.28.1
%description -n python3-%{pypi_name}
The Unreasonable Effectiveness of Deep Features as a Perceptual Metric.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.1.4-1
- Initial package.